Skip to content
Start here

Task Search

client.ai.tasks.list(TaskListParams { account_id } params, RequestOptionsoptions?): SinglePage<TaskListResponse>
GET/accounts/{account_id}/ai/tasks/search

Searches Workers AI models by task type (e.g., text-generation, embeddings).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
params: TaskListParams { account_id }
account_id: string
ReturnsExpand Collapse
TaskListResponse = unknown

Task Search

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const taskListResponse of client.ai.tasks.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(taskListResponse);
}
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}